Skip to main content
DELETE
/
bulk_api
/
jobs
/
{job_id}
Cancel Batch Job
curl --request DELETE \
  --url https://data.apartmentiq.io/apartmentiq/api/v1/bulk_api/jobs/{job_id} \
  --header 'Authorization: Bearer <token>'
{
  "report_type": "floorplans",
  "output_format": "csv",
  "property_ids": [
    123
  ],
  "start_date": "2023-12-25",
  "end_date": "2023-12-25",
  "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "submitted",
  "callback_url": "<string>",
  "error_message": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

job_id
string<uuid>
required

UUID of the batch job to cancel.

Response

Job cancelled successfully

report_type
enum<string>
required
Available options:
floorplans,
property,
units
output_format
enum<string>
required
Available options:
csv,
jsonl,
parquet
property_ids
integer[]
required
start_date
string<date>
required
end_date
string<date>
required
job_id
string<uuid>
status
enum<string>
Available options:
submitted,
cancelled,
failed,
succeeded
callback_url
string
error_message
string
created_at
string<date-time>
updated_at
string<date-time>